import { HttpMethod, IMetaProps } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    parentId: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
    initData: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        meta: Record<string, any>;
    } & {
        parentId?: string | undefined;
        initData?: Record<string, any> | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    refInput: import("vue").Ref<any>;
    meta: IMetaProps;
    appId: string | undefined;
    data: any;
    fileName: (rule: any, value: string, cb: any) => any;
    required: (rule: any, value: string, cb: any) => any;
    onValidate: (props: any, status: any, error: any) => void;
    isDataValid: import("vue").ComputedRef<any>;
    reload: () => Promise<void>;
    save: () => Promise<void>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    SelectHttpMethod: import("vue").DefineComponent<{
        value: {
            default: HttpMethod;
        };
    }, {
        __sfc: boolean;
        props: {
            value: HttpMethod;
        };
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<HttpMethod> | import("vue").WritableComputedRef<HttpMethod>;
        methods: {
            title: HttpMethod;
            value: HttpMethod;
        }[];
        httpMethodColorMap: Partial<Record<HttpMethod, string>>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            default: HttpMethod;
        };
    }>>, {
        value: HttpMethod;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    parentId: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
    initData: {
        type: ObjectConstructor;
    };
}>>, {}>;
export default _default;
