import { IMetaProps } from '@fly-vue/lcdp-api';
import { ApiTemplateType, IApiTemplateParams } from './template';
declare const _default: import("vue").DefineComponent<{
    parentId: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        meta: Record<string, any>;
    } & {
        parentId?: string | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    meta: IMetaProps;
    apisList: ApiTemplateType[];
    data: {
        apis: ApiTemplateType[];
        entity: string;
        mkdir: boolean;
    };
    entityTitle: import("vue").Ref<any>;
    appId: string | undefined;
    isDataValid: import("vue").ComputedRef<number | "">;
    saveAll: () => Promise<void>;
    save: (t: ApiTemplateType) => Promise<void>;
    saveApi: (name: string, type: ApiTemplateType, params: IApiTemplateParams) => Promise<void>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    parentId: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
