import { FieldDataType as FieldType, IModelField as IField } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: ObjectConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    editable: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        disabled: boolean;
        editable: boolean;
    } & {
        value?: Record<string, any> | undefined;
    }>>>;
    emit: (event: "input" | "on-change", ...args: any[]) => void;
    warning: import("vue").Ref<boolean>;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: FieldType;
        required?: boolean | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }[]>;
    up: (index: number) => void;
    down: (index: number) => void;
    addToList: (e: {
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: FieldType;
        required?: boolean | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }) => void;
    remove: (index: number) => Promise<void>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    add: () => void;
    isValueValid: (v: string | boolean | number) => string | number | boolean;
    validate: () => boolean;
    fromObjectToList: (obj: Record<string, IField>) => IField[];
    fromListToObject: (list: IField[]) => Record<string, any>;
    showWarning: () => Promise<void>;
    FieldDataType: typeof FieldType;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: ObjectConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    editable: {
        type: BooleanConstructor;
    };
}>>, {
    disabled: boolean;
    editable: boolean;
}>;
export default _default;
