declare const _default: import("vue").DefineComponent<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    data: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        mode: string;
        enableInnerSave: boolean;
    } & {
        data?: Record<string, any> | undefined;
        id?: string | undefined;
        appId?: string | undefined;
    }>>>;
    emit: (event: "on-cancel" | "on-save", ...args: any[]) => void;
    appId: string | undefined;
    isEditable: import("vue").ComputedRef<boolean>;
    model: import("vue").Ref<any>;
    refFields: import("vue").Ref<any>;
    isFieldsEditable: import("vue").Ref<boolean>;
    reload: () => Promise<void>;
    format: (model: any) => any;
    addField: () => void;
    submit: () => Promise<void>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Page: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/page.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    LcCard: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/card.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    ModelFields: import("vue").DefineComponent<{
        value: {
            type: ObjectConstructor;
        };
        disabled: {
            type: BooleanConstructor;
        };
        editable: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            disabled: boolean;
            editable: boolean;
        } & {
            value?: Record<string, any> | undefined;
        }>>>;
        emit: (event: "input" | "on-change", ...args: any[]) => void;
        warning: import("vue").Ref<boolean>;
        list: import("vue").Ref<{
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            type: import("@fly-vue/lcdp-api").FieldDataType;
            required?: boolean | undefined;
            maxLength?: number | undefined;
            minLength?: number | undefined;
        }[]>;
        up: (index: number) => void;
        down: (index: number) => void;
        addToList: (e: {
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            type: import("@fly-vue/lcdp-api").FieldDataType;
            required?: boolean | undefined;
            maxLength?: number | undefined;
            minLength?: number | undefined;
        }) => void;
        remove: (index: number) => Promise<void>;
        finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
        add: () => void;
        isValueValid: (v: string | number | boolean) => string | number | boolean;
        validate: () => boolean;
        fromObjectToList: (obj: Record<string, import("@fly-vue/lcdp-api").IModelField>) => import("@fly-vue/lcdp-api").IModelField[];
        fromListToObject: (list: import("@fly-vue/lcdp-api").IModelField[]) => Record<string, any>;
        showWarning: () => Promise<void>;
        FieldDataType: typeof import("@fly-vue/lcdp-api").FieldDataType;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: ObjectConstructor;
        };
        disabled: {
            type: BooleanConstructor;
        };
        editable: {
            type: BooleanConstructor;
        };
    }>>, {
        disabled: boolean;
        editable: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-cancel" | "on-save")[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    data: {
        type: ObjectConstructor;
    };
}>>, {
    mode: string;
    enableInnerSave: boolean;
}>;
export default _default;
