declare const _default: import("vue").DefineComponent<{
    appId: {
        type: StringConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        immediate: boolean;
        openTab: boolean;
    } & {
        appId?: string | undefined;
        selected?: string | undefined;
        placeholderId?: string | undefined;
    }>>>;
    emit: (event: "on-loaded" | "on-select", ...args: any[]) => void;
    appId: string | undefined;
    lazyLoadModels: import("vue").Ref<boolean>;
    leftTab: import("vue").Ref<string>;
    onLoaded: (data: any) => void;
    onSelect: (data: any) => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    SimpleTabs: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/tab/simple-tabs.vue")>;
    ApiTree: import("vue").DefineComponent<{
        openTab: {
            type: BooleanConstructor;
        };
        selected: {
            type: StringConstructor;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-loaded" | "on-select", ...args: any[]) => void;
        dataChange: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IDataChange>;
        config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        meta: import("@fly-vue/lcdp-api").IMetaProps;
        doImport: ({ id: packageId }?: {
            id: string;
        } | undefined) => Promise<void>;
        doExportZip: (data?: any) => Promise<void>;
        treeOptions: import("@fly-vue/ide-base").ITreeOptions;
        refMetaTree: import("vue").Ref<any>;
        selectedPackage: import("vue").Ref<any>;
        keyword: import("vue").Ref<string>;
        fileType: import("@fly-vue/ide-core").FileType;
        reload: (id?: string | undefined) => Promise<void>;
        toggleExpandAll: () => void;
        onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => void;
        showAddPackage: () => void;
        showImportCurl: () => void;
        onLoaded: (list: []) => void;
        onSavedNewPage: (page?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined) => Promise<void>;
        handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => void;
        openSwaggerDoc: () => void;
        metaServerOrch: import("@fly-vue/lcdp-api").IMetaProps;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
        HttpMethod: () => Promise<typeof import("@fly-vue/ide-core/@types/components/display/http-method.vue")>;
        MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
        showCreateEntityApi: typeof import("..").showCreateEntityApi;
        showCreateNormalApi: typeof import("..").showCreateNormalApi;
        showCreateOrchApi: typeof import("..").showCreateOrchApi;
        showCreateSqlApi: typeof import("..").showCreateSqlApi;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        openTab: {
            type: BooleanConstructor;
        };
        selected: {
            type: StringConstructor;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: {
            type: StringConstructor;
        };
    }>>, {
        immediate: boolean;
        openTab: boolean;
    }>;
    ModelTree: import("vue").DefineComponent<{
        openTab: {
            type: BooleanConstructor;
        };
        selected: {
            type: StringConstructor;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-loaded" | "on-select", ...args: any[]) => void;
        dataChange: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IDataChange>;
        meta: import("@fly-vue/lcdp-api").IMetaProps;
        doImport: ({ id: packageId }?: {
            id: string;
        } | undefined) => Promise<void>;
        doExportZip: (data?: any) => Promise<void>;
        treeOptions: import("@fly-vue/ide-base").ITreeOptions;
        refMetaTree: import("vue").Ref<any>;
        selectedPackage: import("vue").Ref<any>;
        keyword: import("vue").Ref<string>;
        fileType: import("@fly-vue/ide-core").FileType;
        reload: (id?: string | undefined) => Promise<void>;
        onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => void;
        onLoaded: (list: []) => void;
        onSavedNewPage: (page?: import("@fly-vue/lcdp-api").IMetaObject<any> | undefined) => Promise<void>;
        handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => void;
        showCreate: () => Promise<void>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
        MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        openTab: {
            type: BooleanConstructor;
        };
        selected: {
            type: StringConstructor;
        };
        immediate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholderId: {
            type: StringConstructor;
        };
    }>>, {
        immediate: boolean;
        openTab: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: {
        type: StringConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
}>>, {
    immediate: boolean;
    openTab: boolean;
}>;
export default _default;
