import { IMetaObject, IMetaProps } from '@fly-vue/lcdp-api';
import { ITreeOptions, ITreeNode } from '@fly-vue/ide-base';
import { FileType } from '@fly-vue/ide-core';
import { showCreateEntityApi, showCreateNormalApi, showCreateOrchApi, showCreateSqlApi } from '../utils';
declare const _default: import("vue").DefineComponent<{
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
}, {
    __sfc: boolean;
    emit: (event: "on-loaded" | "on-select", ...args: any[]) => void;
    dataChange: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IDataChange>;
    config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    meta: IMetaProps;
    doImport: ({ id: packageId }?: {
        id: string;
    } | undefined) => Promise<void>;
    doExportZip: (data?: any) => Promise<void>;
    treeOptions: ITreeOptions;
    refMetaTree: import("vue").Ref<any>;
    selectedPackage: import("vue").Ref<any>;
    keyword: import("vue").Ref<string>;
    fileType: FileType;
    reload: (id?: string | undefined) => Promise<void>;
    toggleExpandAll: () => void;
    onSelect: (node: ITreeNode) => void;
    showAddPackage: () => void;
    showImportCurl: () => void;
    onLoaded: (list: []) => void;
    onSavedNewPage: (page?: IMetaObject<any> | undefined) => Promise<void>;
    handleData: (tree: ITreeNode[]) => void;
    openSwaggerDoc: () => void;
    metaServerOrch: IMetaProps;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    HttpMethod: () => Promise<typeof import("@fly-vue/ide-core/@types/components/display/http-method.vue")>;
    MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
    showCreateEntityApi: typeof showCreateEntityApi;
    showCreateNormalApi: typeof showCreateNormalApi;
    showCreateOrchApi: typeof showCreateOrchApi;
    showCreateSqlApi: typeof showCreateSqlApi;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
}>>, {
    immediate: boolean;
    openTab: boolean;
}>;
export default _default;
