export declare enum ApiTemplateType {
    normal = "normal",
    sql = "sql",
    orch = "orch",
    entityCreate = "create",
    entityBatchCreate = "batchCreate",
    entityUpdate = "update",
    entityDelete = "delete",
    entityBatchDelete = "batchDelete",
    entityQuery = "query",
    entityFind = "find",
    entityExists = "exists"
}
export interface IApiTemplateParams {
    path?: string;
    method?: string;
    title?: string;
    desc?: string;
    entity?: string;
    sql?: string;
    workflow?: string;
}
export declare function getApiTemplate(t: ApiTemplateType, data: IApiTemplateParams): string;
